[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.SortColumn

Column number used to sort the rows in the grid.

## Declaration

Source position: grids.pas line 1380

`public property TCustomGrid.SortColumn : Integer read FSortColumn;`

## Description

SortColumn is a read-only Integer that contains the column position used to sort content in the rows for the grid. SortColumn is used in the HeaderClick method to determine if the click occurred on the fixed header cell represented by the property. It is also used in the DrawColumnTitleImage method if the header cell needs to render an image representing the current sort order.

## See also

TCustomGrid.HeaderClick |  | Performs actions needed when a mouse click occurs in a fixed header for a grid column or row.
TCustomGrid.DrawColumnTitleImage |  | Draws the image(s) used in the column title at the specified index in the grid.